summaryrefslogtreecommitdiff
path: root/extra/netkit-bsd-finger
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/netkit-bsd-finger
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/netkit-bsd-finger')
-rw-r--r--extra/netkit-bsd-finger/LICENSE36
-rw-r--r--extra/netkit-bsd-finger/PKGBUILD26
-rw-r--r--extra/netkit-bsd-finger/finger.xinetd8
3 files changed, 70 insertions, 0 deletions
diff --git a/extra/netkit-bsd-finger/LICENSE b/extra/netkit-bsd-finger/LICENSE
new file mode 100644
index 000000000..78254519a
--- /dev/null
+++ b/extra/netkit-bsd-finger/LICENSE
@@ -0,0 +1,36 @@
+/*
+ * Copyright (c) 1989 The Regents of the University of California.
+ * All rights reserved.
+ *
+ * This code is derived from software contributed to Berkeley by
+ * Tony Nardo of the Johns Hopkins University/Applied Physics Lab.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ * notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ * notice, this list of conditions and the following disclaimer in the
+ * documentation and/or other materials provided with the distribution.
+ * 3. All advertising materials mentioning features or use of this software
+ * must display the following acknowledgement:
+ * This product includes software developed by the University of
+ * California, Berkeley and its contributors.
+ * 4. Neither the name of the University nor the names of its contributors
+ * may be used to endorse or promote products derived from this software
+ * without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
diff --git a/extra/netkit-bsd-finger/PKGBUILD b/extra/netkit-bsd-finger/PKGBUILD
new file mode 100644
index 000000000..ea1987985
--- /dev/null
+++ b/extra/netkit-bsd-finger/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 78053 2010-04-19 08:47:06Z dgriffiths $
+# Maintainer: dorphell <dorphell@archlinux.org>
+pkgname=netkit-bsd-finger
+pkgver=0.17
+pkgrel=5
+pkgdesc="bsd-finger ported to Linux"
+arch=('i686' 'x86_64')
+url="ftp://ftp.uk.linux.org/pub/linux/Networking/netkit"
+license=('BSD')
+depends=('glibc' 'xinetd')
+backup=('etc/xinetd.d/finger')
+source=(ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/bsd-finger-${pkgver}.tar.gz finger.xinetd LICENSE)
+md5sums=('52bf281aac8814bf56cdc92f7661ee75' 'a8682004dc8dee356065162bde892b47'\
+ '5fc568418a0379fc3a358ed1c2523b44')
+
+build() {
+ cd ${srcdir}/bsd-finger-${pkgver}
+ install -d ${pkgdir}/usr/{bin,sbin} ${pkgdir}/usr/share/man/{man1,man8}
+ ./configure --prefix=/usr || return 1
+ sed -i 's@include <sys/time.h>@include <time.h>@' finger/lprint.c || return 1
+ sed -i 's@include <sys/time.h>@include <time.h>@' finger/sprint.c || return 1
+ make || return 1
+ make INSTALLROOT=${pkgdir} MANDIR=/usr/share/man install || return 1
+ install -D -m644 ${srcdir}/finger.xinetd ${pkgdir}/etc/xinetd.d/finger || return 1
+ install -D -m644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}
diff --git a/extra/netkit-bsd-finger/finger.xinetd b/extra/netkit-bsd-finger/finger.xinetd
new file mode 100644
index 000000000..cc9a8b15d
--- /dev/null
+++ b/extra/netkit-bsd-finger/finger.xinetd
@@ -0,0 +1,8 @@
+service finger
+{
+ socket_type = stream
+ wait = no
+ user = nobody
+ server = /usr/sbin/in.fingerd
+ disable = yes
+}